Subject: Re: [Fot] Distributor

From: Duncan Charlton <[email-masked]>
Date: Tue, 10 May 2016 06:28:35 -0500

If you’re racing, you won’t need it, but if you decided to add it, you could drill and tap the manifold for a vacuum line.  The vacuum advance is more of an economy device than a performance device and only comes into play at low throttle settings.  It requires a low manifold pressure (high vacuum) to do its work, and wide open throttle (at whatever rpm) provides little vacuum.  It adds advance in addition to mechanical advance, and you wouldn’t want that in a heavy load condition.
Duncan 
(Texas)

> On May 9, 2016, at 8:42 PM, McKearn McKearn <[email-masked]> wrote:
> 
> Hi friends.
>    I just installed a new Petronix Distributor and coil in my GT6. It runs much smoother now and seams all good. My question is since I am not able to use the vacuum advance (Weber carbs and Triumphtune manifold) am I losing the  advance that you would normally get from the vacuum advance at idle only or does it affect the total degrees of advance at higher rpm also?
>  Thanks.  P.J.
> _______________________________________________
> [email-masked]
> 
> http://www.fot-racing.com
> 
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]
> 
> 

_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]